For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetCallHistory
        • POSTGetCallHistoryAsync
        • POSTGetBriefCallHistory
        • POSTGetHistoryReports
        • POSTDownloadHistoryReport
        • POSTGetTransactionHistory
        • POSTGetTransactionHistoryAsync
        • POSTDeleteRecord
        • POSTGetACDHistory
        • POSTGetAuditLog
        • POSTGetAuditLogAsync
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceHistory

GetCallHistory

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetCallHistory
POST
/platform_api/GetCallHistory
$curl -X POST "https://api.voximplant.com/platform_api/GetCallHistory?from_date=2026-04-28%2017%3A30%3A00&to_date=2026-04-28%2017%3A30%3A00" \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "rule_name": "incoming",
5 "application_name": "app.account.voximplant.com",
6 "call_session_history_id": 4202753936,
7 "account_id": 4714487,
8 "application_id": 10733204,
9 "start_date": "2024-05-29 15:05:26",
10 "duration": 6,
11 "initiator_address": "1.1.1.1",
12 "media_server_address": "2.2.2.2",
13 "log_file_url": "https://storage-gw-ru-02.voximplant.com/voximplant-logs-secure/2024/05/29/very-beautiful-link?sessionid=4881753936",
14 "finish_reason": "Normal termination",
15 "calls": [
16 {
17 "call_id": 4202571214,
18 "start_time": "2024-05-29 15:05:27",
19 "diversion_number": "",
20 "duration": 6,
21 "local_number": "420214575",
22 "remote_number": "42027877410",
23 "remote_number_type": "pstn",
24 "incoming": true,
25 "successful": true,
26 "transaction_id": 42027707220008,
27 "record_url": "https://storage-gw-ru-02.voximplant.com/voximplant-records-secure/2024/05/29/very-beautiful-record.mp3?record_id=4124252234",
28 "cost": 0.530625,
29 "end_reason": {
30 "code": 200,
31 "details": "Normal call clearing"
32 },
33 "audio_quality": "Standard",
34 "direction": "All numbers"
35 }
36 ],
37 "other_resource_usage": [
38 {
39 "resource_usage_id": 4202424788,
40 "resource_type": "TTS_SMARTSPEECH",
41 "cost": 0.0096,
42 "description": "TextToSpeech",
43 "used_at": "2024-05-29 15:05:27",
44 "transaction_id": 42027707260008,
45 "resource_quantity": 36,
46 "unit": ""
47 },
48 {
49 "resource_usage_id": 4202424789,
50 "resource_type": "TRANSCRIPTION",
51 "cost": 0.108,
52 "description": "Call Transcription",
53 "used_at": "2024-05-29 15:05:27",
54 "transaction_id": 42027706800008,
55 "resource_quantity": 5,
56 "unit": ""
57 }
58 ],
59 "records": [
60 {
61 "record_id": 4202252234,
62 "record_name": "Call Recorder",
63 "cost": 0.053063,
64 "start_time": "2024-05-29 15:05:26",
65 "duration": 5,
66 "record_url": "https://storage-gw-ru-02.voximplant.com/voximplant-records-secure/2024/05/29/very-beautiful-record.mp3?record_id=4202252234",
67 "transaction_id": 42027706770008,
68 "file_size": 0,
69 "transcription_url": "https://storage-gw-ru-02.voximplant.com/voximplant-records-secure/2024/05/29/very-beautiful-link",
70 "transcription_status": "Complete",
71 "hd_audio": false,
72 "transcription_transaction_id": 42027706800008,
73 "is_removed": false,
74 "lossless": false,
75 "expiration_date": "2024-08-27",
76 "media_parameters": "{\"audio_codec\" : \"mp3\" , \"container\" : \"mp3\"}"
77 }
78 ],
79 "active": false
80 }
81 ],
82 "total_count": 1,
83 "count": 1,
84 "timezone": "Etc/GMT"
85}
Gets the account's call history (including call duration, cost, logs and other call information). You can filter the call history by a certain date. Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `Support`. **Example request:** Get the first call session history record with calls and record URLs from the 2020-02-25 00:00:00 UTC to the 2020-02-26 00:00:00 UTC.
Was this page helpful?
Previous

ReorderRules

Next

GetCallHistoryAsync

Built with

Gets the account’s call history (including call duration, cost, logs and other call information). You can filter the call history by a certain date.

Allowed roles: Owner, Admin, Developer, Supervisor, Support.

Example request: Get the first call session history record with calls and record URLs from the 2020-02-25 00:00:00 UTC to the 2020-02-26 00:00:00 UTC.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

from_datestringRequired

The from date in the selected timezone in 24-h format: YYYY-MM-DD HH:mm:ss

to_datestringRequired

The to date in the selected timezone in 24-h format: YYYY-MM-DD HH:mm:ss

call_session_history_idlist of integersOptional
To get the call history for the specific sessions, pass the session IDs to this parameter separated by a semicolon (;). The maximum number of records is 1000. You can find the session ID in the <a href='/docs/references/voxengine/appevents#started'>AppEvents.Started</a> event's **sessionID** property in a scenario, or retrieve it from the **call_session_history_id** value returned from the <a href='/api-reference/management-api/scenarios/reorderscenarios'>StartScenarios</a> or <a href='/api-reference/management-api/scenarios/startconference'>StartConference</a> methods
application_idintegerOptional
To receive the call history for a specific application, pass the application ID to this parameter
application_namestringOptional

The application name, can be used instead of application_id

user_idlist of integersOptional

To receive the call history for a specific users, pass the user ID list separated by semicolons (;). If it is specified, the output contains the calls from the listed users only

rule_namestringOptional

To receive the call history for a specific routing rule, pass the rule name to this parameter. Applies only if you set application_id or application_name

remote_numberlist of stringsOptional

To receive a call history for a specific remote numbers, pass the number list separated by semicolons (;). A remote number is a number on the client side. Ignored if the remote_number_list parameter is not empty

remote_number_listmap from strings to anyOptional

A JS array of strings of specific remote phone numbers to sort the call history. Has higher priority than the remote_number parameter. If the array is empty, the remote_number parameter is used instead

local_numberlist of stringsOptional

To receive a call history for a specific local numbers, pass the number list separated by semicolons (;). A local number is a number on the platform side

call_session_history_custom_datastringOptional

To filter the call history by the custom_data passed to the call sessions, pass the custom data to this parameter

with_callsbooleanOptionalDefaults to false
Whether to receive a list of sessions with all calls within the sessions, including phone numbers, call cost and other information
with_recordsbooleanOptionalDefaults to false
Whether to get the calls' records
with_other_resourcesbooleanOptionalDefaults to true

Whether to get other resources usage (see [ResourceUsageType])

child_account_idlist of integersOptional

The child account ID list separated by semicolons (;)

children_calls_onlybooleanOptionalDefaults to false
Whether to get the children account calls only
desc_orderbooleanOptionalDefaults to false
Whether to get records in the descent order
with_total_countbooleanOptionalDefaults to true

Whether to include the ‘total_count’ and increase performance

countintegerOptionalDefaults to 20
The number of returning records. The maximum value is 1000
offsetintegerOptionalDefaults to 0
The number of records to skip in the output. The maximum value of 10000

Response

Successful response
resultlist of objects
The CallSessionInfoType records
total_countinteger
The total found call session count
countinteger
The returned call session count
timezonestring
The used timezone

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

To get the call history for the specific sessions, pass the session IDs to this parameter separated by a semicolon (;). The maximum number of records is 1000. You can find the session ID in the AppEvents.Started event’s sessionID property in a scenario, or retrieve it from the call_session_history_id value returned from the StartScenarios or StartConference methods